full-disclosure-uk May 2007 archive
Main Archive Page > Month Archives  > full-disclosure-uk archives
full-disclosure-uk: [Full-disclosure] Jetbox CMS version 2.1 XSS

[Full-disclosure] Jetbox CMS version 2.1 XSS Attack Vulnerability

From: SecurityResearch <securityresearch_at_nospam>
Date: Tue May 22 2007 - 07:36:03 GMT
To: <full-disclosure@lists.grok.org.uk>


netVigilance Security Advisory #29

Jetbox CMS version 2.1 XSS Attack Vulnerability

Description:
Jetbox CMS is seriously tested on usability & has a professional intuitive interface. The system is role based, with workflow and module orientated. All content is fully separated from layout. It uses php & mysql. Security problem in the product allows attackers to conduct XSS attacks.

External References:
Mitre CVE: CVE-2007-2686
NVD NIST: CVE-2007-2686
OSVDB: 34791 Summary:
Jetbox CMS seriously tested on usability & has a professional intuitive interface. Successful exploitation requires PHP magic_quotes_gpc set to Off on the server.

Advisory URL:
http://www.netvigilance.com/advisory0029

Release Date:
05/22/2007
Severity:
Risk: Medium  

CVSS Metrics
Access Vector: Remote
Access Complexity: High
Authentication: Not-required
Confidentiality Impact: Partial
Integrity Impact: Partial
Availability Impact: Partial
Impact Bias: Normal
CVSS Base Score: 5.6  

Target Distribution on Internet: Low  

Exploitability: Functional Exploit
Remediation Level: Workaround
Report Confidence: Uncorroborated  

Vulnerability Impact: Attack
Host Impact: XSS Attack.
SecureScout Testcase ID:

Vulnerable Systems:
Jetbox CMS version 2.1
Vulnerability Type:
XSS (Cross-Site Scripting) to force a web-site to display malicious contents to the target, by sending a specially crafted request to the web-site. The vulnerable web-site is not the target of attack but is used as a tool for the hacker in the attack of the victim.

Vendor:
Streamedge Consultancy & Development

Vendor Status:
Contact with the Vendor was established. The vendor refused to fix the issue and said that Jetbox is not maintained anymore. There is no official fix at the release of this Security Advisory.

Workaround:
In the php.ini file set magic_quotes_gpc = On.

Example:
REQUEST:
http://[TARGET]/[PRODUCT-DIRECTORY]/index.php?view=webuser&task=sendpw&login= <script>alert(document.cookies)</script> REPLY:
will execute <script>alert(document.cookie)</script>. Credits:
Jesper Jurcenoks
Co-founder netVigilance, Inc
www.netvigilance.com



Full-Disclosure - We believe in it.
Charter: http://lists.grok.org.uk/full-disclosure-charter.html Hosted and sponsored by Secunia - http://secunia.com/